texmath-0.8.4: Conversion between formats used to represent mathematics.

Safe Haskell | Safe
Language | Haskell2010

Text.TeXMath.Readers.MathML.EntityMap

Description

HTML entity definitions as provided by W3C.

The mapping matches the version from 10th April 2014.

The original source can be downloaded from http://www.w3.org/TR/2014/REC-xml-entity-names-20140410/.

Note: I have made one alteration, switching epsilon and varepsilon, because the meanings of these names in HTML is different from the meanings in MathML+LaTeX. See http://www.w3.org/2003/entities/2007doc/#epsilon.

Synopsis

- getUnicode :: String -> Maybe String

# Documentation

getUnicode :: String -> Maybe String

Translates MathML entity reference to the corresponding Unicode string.